Go to advanced search

by szahran
Fri Jan 30, 2015 3:35 pm
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

Debian armhf and raspbian are for the same CPU family and use the same ABI but have different minimum CPU requirements. So they can be mixed but such a mixture can't be run on the Pi. The idea of "architecture" in the debian packaging tools doesn't really handle this situation too well. If you chan...
by szahran
Fri Jan 30, 2015 10:59 am
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

ok now can you try wget https://archive.raspbian.org/raspbian/pool/main/libl/liblocale-gettext-perl/liblocale-gettext-perl_1.05-7_armhf.deb dpkg -i --force-all liblocale-gettext-perl_1.05-7_armhf.deb Excellent no errors what soever, it upgraded successfully :) Thanks a lot! But can you tell me brie...
by szahran
Fri Jan 30, 2015 1:17 am
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

ok can you try strace /usr/share/debconf/frontend true It produced huge output this is what I could copy stat64("/usr/local/lib/perl/5.14.2/File/Spec/Unix.pm", 0xbea3dfb8) = -1 ENOENT (No such file or directory) stat64("/usr/local/share/perl/5.14.2/File/Spec/Unix.pmc", 0xbea3e038) = -1 ENOENT (No s...
by szahran
Fri Jan 30, 2015 12:58 am
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

plugwash wrote:What happens if you run

/usr/bin/perl

(it should just sit there until you press ctrl+c)
Ya it does what you said, no output and just runs until I do ctrl+c
by szahran
Fri Jan 30, 2015 12:40 am
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

plugwash wrote:Can you try

DEBCONF_DEBUG=developer /usr/share/debconf/frontend true
Should I run it with sudo? because it says
DEBCONF_DEBUG=developer /usr/share/debconf/frontend true
Illegal instruction
by szahran
Thu Jan 29, 2015 11:44 pm
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

Can you try editing /var/lib/dpkg/info/tzdata.postinst and changing "set -e" to "set -ev" then run apt-get upgrade again. Hopefully this will reveal more information about what exactly is failing. I did and here is the output which looks weird, are you sure it is "set -ev" sudo apt-get upgrade Read...
by szahran
Thu Jan 29, 2015 11:28 pm
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

Sorry I made a slight mistake in my previous post, can you try wget https://archive.raspbian.org/raspbian/pool/main/libx/libxcomposite/libxcomposite1_0.4.3-2_armhf.deb dpkg -i --force-all libxcomposite1_0.4.3-2_armhf.deb I did that, but unfortunately we're back to original problem with the upgrade!...
by szahran
Thu Jan 29, 2015 11:13 pm
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

sudo dpkg -i --force-all libxcomposite1-dbg_0.4.3-2_armhf.deb libxdamage1_1.1.3-2_armhf.deb libasyncns0_0.8-4_armhf.deb libesd0_0.2.41-10_armhf.deb libmpc2_0.9-4_armhf.deb Selecting previously unselected package libxcomposite1-dbg:armhf. (Reading database ... 87571 files and directories currently i...
by szahran
Thu Jan 29, 2015 10:46 pm
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

okay, here is the output. /usr/lib/arm-linux-gnueabihf/libXcomposite.so.1 /usr/lib/arm-linux-gnueabihf/libXcomposite.so.1.0.0 /usr/lib/arm-linux-gnueabihf/libXdamage.so.1 /usr/lib/arm-linux-gnueabihf/libXdamage.so.1.1.0 /usr/lib/arm-linux-gnueabihf/libasyncns.so.0 /usr/lib/arm-linux-gnueabihf/libasy...
by szahran
Thu Jan 29, 2015 9:52 pm
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

I removed the Debian entry from the /etc/apt/sources.list file, and ran apt-get update then apt-get upgrade. And here is the output, so I think it did not fix it :( sudo apt-get upgrade Reading package lists... Done Building dependency tree Reading state information... Done The following packages ha...
by szahran
Thu Jan 29, 2015 9:18 pm
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

Hmm I don't remember changing them. But here is the content of each. cat /etc/apt/sources.list deb http://mirrordirector.raspbian.org/raspbian/ wheezy main contrib non-free rpi deb http://http.debian.net/debian/ wheezy main contrib non-free ls /etc/apt/sources.list.d/ collabora.list raspi.list wolfr...
by szahran
Thu Jan 29, 2015 1:24 pm
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

When in doubt, you can always try dpkg --configure -a I got these errors after running this command sudo dpkg --configure -a Setting up libssl1.0.0:armhf (1.0.1e-2+rvt+deb7u14) ... dpkg: error processing libssl1.0.0:armhf (--configure): subprocess installed post-installation script was killed by si...
by szahran
Wed Jan 28, 2015 10:12 pm
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Re: Problem with sudo apt-get upgrade

rpdom wrote:Have you changed your /etc/apt/sources.list or any of the files in /etc/apt/sources.list.d/ ?

The "Illegal Instruction" error suggests that you have some software installed that isn't compatible with the Pi.
No I did not change those files, I only ran

Code: Select all

apt-get update
before it
by szahran
Wed Jan 28, 2015 9:55 pm
Forum: General discussion
Topic: Problem with sudo apt-get upgrade
Replies: 33
Views: 8723

Problem with sudo apt-get upgrade

I face the following problem when I run sudo apt-get, I wonder how can I solve it? Setting up tzdata (2014j-0wheezy1) ... dpkg: error processing tzdata (--configure): subprocess installed post-installation script was killed by signal (Illegal instruction) Errors were encountered while processing: tz...
by szahran
Wed Jan 28, 2015 6:36 pm
Forum: General discussion
Topic: Can I use a copy of SD on a different RPi than the one?
Replies: 3
Views: 503

Re: Can I use a copy of SD on a different RPi than the one?

W. H. Heydt wrote:Not only can you use the SD card image on one PI on another of the same model, but you can use that image on any model. Just be sure that your firmware is up to date as there are minor differences even on the same model (such as different RAM chip manufacturers).
Thank you :)
by szahran
Wed Jan 28, 2015 5:41 pm
Forum: General discussion
Topic: Can I use a copy of SD on a different RPi than the one?
Replies: 3
Views: 503

Can I use a copy of SD on a different RPi than the one?

Hello,

I wonder if I can use a copy of the SD card that I have and use it with another RPi but same model?

The purpose is that I don't want to install things from the scratch and I wonder if I can just copy one SD content to another and use a duplicate setup with another RPi.


Thanks,
szahran
by szahran
Sun Oct 26, 2014 6:58 pm
Forum: General discussion
Topic: Running a Service after loading bash
Replies: 1
Views: 507

Running a Service after loading bash

Hello, I'm trying to make a script run on the system start up. Something like a service so what I did is the following put the script into the /ect/init.d/ with execute access, then I ran the following command sudo update-rc.d test defaults the script looks something like this #!/bin/bash # /etc/ini...
by szahran
Thu Oct 23, 2014 11:03 pm
Forum: General discussion
Topic: Battery Pack for RPi Model B+
Replies: 13
Views: 1646

Re: Battery Pack for RPi Model B+

I'm not sure just how current limited the 1A output of a battery pack capable of outputting 3A will be. I'm also not sure how often you will be using the 888 at its maximum load (500mA) as opposed to it's minimum load (13mA) the 600mA given as the Pi's power consumption is for the B+ at peak load w...
by szahran
Thu Oct 23, 2014 3:32 pm
Forum: General discussion
Topic: Battery Pack for RPi Model B+
Replies: 13
Views: 1646

Re: Battery Pack for RPi Model B+

You will probably find that 1A is not enough to supply this board, the USB WIFI dongle and the pi itself. I'm not saying that it won't work but at peak consumption you might brownout and crash the pi. Interesting I currently have this battery pack http://www.ianker.com/product/79AN15K-BA which has ...
by szahran
Thu Oct 23, 2014 2:57 pm
Forum: General discussion
Topic: Battery Pack for RPi Model B+
Replies: 13
Views: 1646

Re: Battery Pack for RPi Model B+

I will connect a WiFi dongle to the USB ports in addition to a phidget board 8/8/8 http://www.phidgets.com/products.php?category=0&product_id=1018_2 this needs up to 500mA, giving you a total max load of about 1500mA So would the RPi USB port give it enough power? Would the battery be sufficient fo...
by szahran
Thu Oct 23, 2014 1:14 pm
Forum: General discussion
Topic: Battery Pack for RPi Model B+
Replies: 13
Views: 1646

Re: Battery Pack for RPi Model B+

Hello, I use this one: http://www.amazon.co.uk/RAVPower-External-Flashlight-Charging-Provided-Black/dp/B0084Y47SK/ref=sr_1_1?ie=UTF8&qid=1407933240&sr=8-1&keywords=ravpower+luster Based initially on the review by the average man: http://www.averagemanvsraspberrypi.com/2014/07/testing-ravpower-luste...
by szahran
Thu Oct 23, 2014 12:46 pm
Forum: General discussion
Topic: Battery Pack for RPi Model B+
Replies: 13
Views: 1646

Re: Battery Pack for RPi Model B+

Would any of the following work? http://www.amazon.de/Ultra-kompakt-Externer-Ladeger%C3%A4t-Technologie-Smartphones/dp/B00HY45JHY/ref=pd_cp_ce_3 http://www.amazon.de/gp/product/B00E7IKHEK/ref=noref?ie=UTF8&psc=1&s=ce-de I will connect a WiFi dongle to the USB ports in addition to a phidget board 8/8...
by szahran
Thu Oct 23, 2014 12:24 pm
Forum: General discussion
Topic: Micro SD for Model B+
Replies: 6
Views: 948

Re: Micro SD for Model B+

DougieLawson wrote:You WILL have problems with any card over 64GB if you try to install NOOBS on it. The FAT16/FAT32 partition can't be larger than 32GB or NOOBS won't boot.
I see, good to know. Thanks!
by szahran
Thu Oct 23, 2014 12:19 pm
Forum: General discussion
Topic: Battery Pack for RPi Model B+
Replies: 13
Views: 1646

Re: Battery Pack for RPi Model B+

I keep recommending this one it's cheap, small, will handle your WIFI connection if you want it to. I'm not sure what you would be connecting to the USB ports that would consume the power. I've used this with a wireless keyboard mouse & adafruit display and it could hold the load, but if you are us...
by szahran
Thu Oct 23, 2014 12:17 pm
Forum: General discussion
Topic: Battery Pack for RPi Model B+
Replies: 13
Views: 1646

Re: Battery Pack for RPi Model B+

The problem is I need it small in size and most what I find is like more than 14cm in height or width!

Do you know a specific one that is not large or heavy, something smaller than the RPi itself! as I indicated I need it to give maximum one hour not much.

Go to advanced search